1
acegamer
News Module - Compatible with X3
  • 2010/12/22 12:05

  • acegamer

  • Not too shy to talk

  • Posts: 162

  • Since: 2005/7/11


Hi,

Does anyone know if the news module from hervé would be compatible with X3 ?

Our will this receive a upgrade to xoops 3.

Because i think this one of the best modules and it will be a shame if this doesn't happen :s

Hope some one has time for this if it's not compatible!

Merry xmas and a happy xooping ;) in 2011


2
redheadedrod
Re: News Module - Compatible with X3

I think wishcraft released a news module that is compatible with X3.

However realize that X3 at this time is Alpha and it will be a while before a stable version is released so problems with current modules might be core bugs and not problems with the modules at all.

At this point in time I would suggest getting the modules together that you use and after making sure they work flawless on 2.4.5 try using them with x3 and see if they still work flawless. X3 is supposed to be backwards compatible so the chances are more likely that a module will not be compatible if they did not design for php5.

I say 2.4.5 because on my system it looks like 2.5 has bugs in it that need to be taken care of before I can use it with my sites but 2.4.5 seems to work just fine.

Rodney
Attending College working towards Bachelors in Software Engineering and Network Security.

3
acegamer
Re: News Module - Compatible with X3
  • 2010/12/22 13:27

  • acegamer

  • Not too shy to talk

  • Posts: 162

  • Since: 2005/7/11


Hey Rodney,


Many thx for the fast response.
Yeah i know that it's gonne take a small time, but we hope that we can release our new website on the X3 stable core some were February hopefully with a great news module.

Believe it our not but we still run on the 2.0.13.2 version :o
We got a quit big website and always have waited on the X3 version. seo urls, the new frame and so on. before we gonne upgrade, because if an upgrade goes wrong.. we lose a lot to setup a backup to get the site back online..

But thx for the response!!

4
Mamba
Re: News Module - Compatible with X3
  • 2010/12/22 19:41

  • Mamba

  • Moderator

  • Posts: 11252

  • Since: 2004/4/23


I don't think that X3 will be ready for a production site in February. We probably will be in a beta cycle then.

So if you need something by February, you'll be better off testing 2.5.0
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

5
redheadedrod
Re: News Module - Compatible with X3

I would be shocked at this point if we have a stable X3 before summer unless we have quite a few people working on it. But this should NOT keep you from updating your system to the newer versions of Xoops. X3 shouldn't be adding anything that breaks things in your modules. It should just allow support for more things and allow for better stuff for the future.

You should be able to move your site to 2.4.5 or 2.5 and go from there. Upgrading to x3 when it becomes available should be a simple matter. The vast majority of old modules out there are more likely to break due to not being php5 compatible if written well than because of the version of xoops.

So your best bet is to install a newer version of xoops on a test server and get newer modules that do what you want and test them out..

You can feel pretty confident that if you are using "modern" news module and most of the newer modules you should be just fine with X3.

Rodney
Attending College working towards Bachelors in Software Engineering and Network Security.

6
acegamer
Re: News Module - Compatible with X3
  • 2010/12/24 12:48

  • acegamer

  • Not too shy to talk

  • Posts: 162

  • Since: 2005/7/11


hi guys,

thx for the feedback.
If we made a template for the 2.4.5 or 2.5 version do you know if this same template will work in x3 ?

7
redheadedrod
Re: News Module - Compatible with X3

X3 is supposed to support backward compatibility so it should work. If you are doing custom templates it would seem like a good idea to change them directly with the module code instead of in xoops.

But the beauty is you can load up x3 now and look at it and likely answer this question for yourself.

Rodney
Attending College working towards Bachelors in Software Engineering and Network Security.

8
acegamer
Re: News Module - Compatible with X3
  • 2011/9/1 9:04

  • acegamer

  • Not too shy to talk

  • Posts: 162

  • Since: 2005/7/11


Any news about the progress of XE 3.0 ? =D

9
Mamba
Re: News Module - Compatible with X3
  • 2011/9/1 10:16

  • Mamba

  • Moderator

  • Posts: 11252

  • Since: 2004/4/23


We are focusing now on "bug-free" 2.5.2, and then we'll work on XOOPS 2.6.

See this discussion about potential features.

Of course, News module will be fully compatible with XOOPS 2.6
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

10
kris_fr
Re: News Module - Compatible with X3
  • 2011/9/1 12:34

  • kris_fr

  • Theme Designer

  • Posts: 1009

  • Since: 2005/12/31


@Acegamer: Since no one really wants to announce, the X3 is now a totally different project to it.
Mamba has decided not to support the development of the X3, but to continue with the old and outdated code

Login

Who's Online

78 user(s) are online (41 user(s) are browsing Support Forums)


Members: 0


Guests: 78


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Jul 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits